/*
 * Copyright (C) 1995-2011 by 4system Polska Sp. z o.o.
 * All Rights Reserved.
 */

componentWriteQuestion = function(name) 
{
	this.componentFinishSentence = componentFinishSentence;
	this.componentFinishSentence(name);
};

componentWriteQuestion.prototype = new componentFinishSentence;
componentWriteQuestion.prototype.type = "componentWriteQuestion";

componentWriteQuestion.prototype._setHTMLDef = function(valStr) 
{
	valStr = (valStr ? valStr : "");
	var t = "<form name='" + this.id + "Form' id='" + this.id + "Form'>"
	t += "<textarea id='"+this.id+"_contentObj'name='"+this.id+"_contentObj' value='" + valStr + "'";
	t += this._getStyleDef();
	t += ' onkeyup="pc.'+this.parent.id+'.fnOnKeyUp()"';
	t += "style='font-family: "+this.fontFamily+"; font-size: "+getFontSize(this.fontSize, 'px')+";'";
	t += ">";
	t += "</textarea>"
	t += "</form>";
	
	this.setHTML(t);
};
